import {
	request
} from '../libs/request.js'

export function getEntRiskPointInfo(data) {
	return request({
		url: '/ent/riskPoint/page',
		data
	})
}
//获取风险点详情基本信息
export function getEntRiskPointDetails(riskPointId) {
	return request({
		url: '/ent/riskPoint/' + riskPointId
	})
}
// 获取风险点危险源
export function getEntRiskPointHazard(riskPointId) {
	
	// return request({
	// 	url: '/entRiskPointHazard/getRpHazard?riskPointId=' + riskPointId
	// })
	return request({
		url: '/ent/riskPoint/hazard/view?riskPointId=' + riskPointId
	})	
}
// 根据风险点ID获取检查清单分页列表
export function getCheckList(data) {
	return request({
		url: '/ent/riskPoint/checklist/page',
		header: {
			'content-type': "application/x-www-form-urlencoded"
		},
		data
	})
}
// 根据风险点ID获取检查清单分页列表
export function getCheckTaskView(taskId) {
	return request({
		url: '/check/task/view/' + taskId
	})
}
